Global Market Cap Chart Data
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/global/market_cap_chart \
--header 'x-cg-pro-api-key: <api-key>'{
"market_cap_chart": {
"market_cap": [
[
1779796800798,
2655918998143.8896
],
[
1779800404411,
2654923308819.0776
]
],
"volume": [
[
1779796800798,
72758388801.76349
],
[
1779800404411,
73764769476.6961
]
]
}
}Global
Global Market Cap Chart Data
To query historical global market cap and volume data by number of days away from now
GET
/
global
/
market_cap_chart
Global Market Cap Chart Data
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/global/market_cap_chart \
--header 'x-cg-pro-api-key: <api-key>'{
"market_cap_chart": {
"market_cap": [
[
1779796800798,
2655918998143.8896
],
[
1779800404411,
2654923308819.0776
]
],
"volume": [
[
1779796800798,
72758388801.76349
],
[
1779800404411,
73764769476.6961
]
]
}
}Notes
- Auto-granularity:
- 1 day = hourly data
- 2 days and above = daily data
- Equivalent page on CoinGecko Global Charts.
The last completed UTC day (00:00) is available 5 minutes after midnight (00:05 UTC). Cache always expires at 00:05 UTC.
SDK Examples
const response = await client.global.marketCapChart.get({
days: '1',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Data up to number of days ago.
Available options:
1, 7, 14, 30, 90, 180, 365, max Target currency of market cap.
Default: usd
*refers to /simple/supported_vs_currencies.
Response
200 - application/json
Global market cap chart data
Show child attributes
Show child attributes
Was this page helpful?
⌘I

